"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IOperatorConfigurationSchema = void 0;
// Generated by ts-to-zod
const zod_1 = require("zod");
const ObjectMeta_schema_1 = require("@soft-stech/apimachinery/apis/meta/v1/ObjectMeta.schema");
exports.IOperatorConfigurationSchema = zod_1.z.object({
    "kind": zod_1.z.literal("OperatorConfiguration"),
    "apiVersion": zod_1.z.literal("acid.zalan.do/v1"),
    "configuration": zod_1.z.object({
        "crd_categories": zod_1.z.array(zod_1.z.string()).optional(),
        /**
         *
         * @default "ghcr.io/zalando/spilo-16:3.2-p2"
         */
        "docker_image": zod_1.z.string().optional().default("ghcr.io/zalando/spilo-16:3.2-p2"),
        /**
         *
         * @default true
         */
        "enable_crd_registration": zod_1.z.boolean().optional().default(true),
        /**
         * deprecated
         * @default true
         */
        "enable_crd_validation": zod_1.z.boolean().optional().default(true),
        "enable_lazy_spilo_upgrade": zod_1.z.boolean().optional(),
        /**
         *
         * @default true
         */
        "enable_pgversion_env_var": zod_1.z.boolean().optional().default(true),
        /**
         *
         * @default true
         */
        "enable_shm_volume": zod_1.z.boolean().optional().default(true),
        "enable_spilo_wal_path_compat": zod_1.z.boolean().optional(),
        "enable_team_id_clustername_prefix": zod_1.z.boolean().optional(),
        "etcd_host": zod_1.z.string().optional(),
        "ignore_instance_limits_annotation_key": zod_1.z.string().optional(),
        "kubernetes_use_configmaps": zod_1.z.boolean().optional(),
        /**
         * -1 = disabled
         * @default -1
         * @minimum -1
         */
        "max_instances": zod_1.z.number().min(-1).optional().default(-1),
        /**
         * -1 = disabled
         * @default -1
         * @minimum -1
         */
        "min_instances": zod_1.z.number().min(-1).optional().default(-1),
        /**
         *
         * @default "30m"
         */
        "resync_period": zod_1.z.string().optional().default("30m"),
        /**
         *
         * @default "5m"
         */
        "repair_period": zod_1.z.string().optional().default("5m"),
        "set_memory_request_to_limit": zod_1.z.boolean().optional(),
        "sidecar_docker_images": zod_1.z.record(zod_1.z.string()).optional(),
        "sidecars": zod_1.z.array(zod_1.z.object({})).optional(),
        /**
         *
         * @default 8
         * @minimum 1
         */
        "workers": zod_1.z.number().min(1).optional().default(8),
        "users": zod_1.z.object({
            "additional_owner_roles": zod_1.z.array(zod_1.z.string()).optional(),
            "enable_password_rotation": zod_1.z.boolean().optional(),
            /**
             *
             * @default 90
             */
            "password_rotation_interval": zod_1.z.number().optional().default(90),
            /**
             *
             * @default 180
             */
            "password_rotation_user_retention": zod_1.z.number().optional().default(180),
            /**
             *
             * @default "standby"
             */
            "replication_username": zod_1.z.string().optional().default("standby"),
            /**
             *
             * @default "postgres"
             */
            "super_username": zod_1.z.string().optional().default("postgres")
        }).optional(),
        "major_version_upgrade": zod_1.z.object({
            /**
             *
             * @default "off"
             */
            "major_version_upgrade_mode": zod_1.z.string().optional().default("off"),
            "major_version_upgrade_team_allow_list": zod_1.z.array(zod_1.z.string()).optional(),
            /**
             *
             * @default "12"
             */
            "minimal_major_version": zod_1.z.string().optional().default("12"),
            /**
             *
             * @default "16"
             */
            "target_major_version": zod_1.z.string().optional().default("16")
        }).optional(),
        "kubernetes": zod_1.z.object({
            "additional_pod_capabilities": zod_1.z.array(zod_1.z.string()).optional(),
            /**
             *
             * @default "cluster.local"
             */
            "cluster_domain": zod_1.z.string().optional().default("cluster.local"),
            "cluster_labels": zod_1.z.record(zod_1.z.string()).optional(),
            /**
             *
             * @default "cluster-name"
             */
            "cluster_name_label": zod_1.z.string().optional().default("cluster-name"),
            "custom_pod_annotations": zod_1.z.record(zod_1.z.string()).optional(),
            "delete_annotation_date_key": zod_1.z.string().optional(),
            "delete_annotation_name_key": zod_1.z.string().optional(),
            "downscaler_annotations": zod_1.z.array(zod_1.z.string()).optional(),
            "enable_cross_namespace_secret": zod_1.z.boolean().optional(),
            "enable_finalizers": zod_1.z.boolean().optional(),
            /**
             *
             * @default true
             */
            "enable_init_containers": zod_1.z.boolean().optional().default(true),
            /**
             *
             * @default true
             */
            "enable_persistent_volume_claim_deletion": zod_1.z.boolean().optional().default(true),
            "enable_pod_antiaffinity": zod_1.z.boolean().optional(),
            /**
             *
             * @default true
             */
            "enable_pod_disruption_budget": zod_1.z.boolean().optional().default(true),
            "enable_readiness_probe": zod_1.z.boolean().optional(),
            /**
             *
             * @default true
             */
            "enable_sidecars": zod_1.z.boolean().optional().default(true),
            "ignored_annotations": zod_1.z.array(zod_1.z.string()).optional(),
            "infrastructure_roles_secret_name": zod_1.z.string().optional(),
            "infrastructure_roles_secrets": zod_1.z.array(zod_1.z.object({
                "secretname": zod_1.z.string(),
                "userkey": zod_1.z.string(),
                "passwordkey": zod_1.z.string(),
                "rolekey": zod_1.z.string().optional(),
                "defaultuservalue": zod_1.z.string().optional(),
                "defaultrolevalue": zod_1.z.string().optional(),
                "details": zod_1.z.string().optional(),
                "template": zod_1.z.boolean().optional()
            })).optional(),
            "inherited_annotations": zod_1.z.array(zod_1.z.string()).optional(),
            "inherited_labels": zod_1.z.array(zod_1.z.string()).optional(),
            /**
             *
             * @default "20m"
             */
            "master_pod_move_timeout": zod_1.z.string().optional().default("20m"),
            "node_readiness_label": zod_1.z.record(zod_1.z.string()).optional(),
            "node_readiness_label_merge": zod_1.z.union([zod_1.z.literal("AND"), zod_1.z.literal("OR")]).optional(),
            /**
             *
             * @default "postgresql-operator"
             */
            "oauth_token_secret_name": zod_1.z.string().optional().default("postgresql-operator"),
            /**
             *
             * @default "postgres-{cluster}-pdb"
             */
            "pdb_name_format": zod_1.z.string().optional().default("postgres-{cluster}-pdb"),
            "persistent_volume_claim_retention_policy": zod_1.z.object({
                "when_deleted": zod_1.z.union([zod_1.z.literal("delete"), zod_1.z.literal("retain")]).optional(),
                "when_scaled": zod_1.z.union([zod_1.z.literal("delete"), zod_1.z.literal("retain")]).optional()
            }).optional(),
            "pod_antiaffinity_preferred_during_scheduling": zod_1.z.boolean().optional(),
            /**
             *
             * @default "kubernetes.io/hostname"
             */
            "pod_antiaffinity_topology_key": zod_1.z.string().optional().default("kubernetes.io/hostname"),
            "pod_environment_configmap": zod_1.z.string().optional(),
            "pod_environment_secret": zod_1.z.string().optional(),
            /**
             *
             * @default "ordered_ready"
             */
            "pod_management_policy": zod_1.z.union([zod_1.z.literal("ordered_ready"), zod_1.z.literal("parallel")]).optional().default("ordered_ready"),
            "pod_priority_class_name": zod_1.z.string().optional(),
            /**
             *
             * @default "spilo-role"
             */
            "pod_role_label": zod_1.z.string().optional().default("spilo-role"),
            "pod_service_account_definition": zod_1.z.string().optional(),
            /**
             *
             * @default "postgres-pod"
             */
            "pod_service_account_name": zod_1.z.string().optional().default("postgres-pod"),
            "pod_service_account_role_binding_definition": zod_1.z.string().optional(),
            /**
             *
             * @default "5m"
             */
            "pod_terminate_grace_period": zod_1.z.string().optional().default("5m"),
            /**
             *
             * @default "{username}.{cluster}.credentials.{tprkind}.{tprgroup}"
             */
            "secret_name_template": zod_1.z.string().optional().default("{username}.{cluster}.credentials.{tprkind}.{tprgroup}"),
            "share_pgsocket_with_sidecars": zod_1.z.boolean().optional(),
            /**
             *
             * @default true
             */
            "spilo_allow_privilege_escalation": zod_1.z.boolean().optional().default(true),
            "spilo_runasuser": zod_1.z.number().optional(),
            "spilo_runasgroup": zod_1.z.number().optional(),
            "spilo_fsgroup": zod_1.z.number().optional(),
            "spilo_privileged": zod_1.z.boolean().optional(),
            /**
             *
             * @default "pvc"
             */
            "storage_resize_mode": zod_1.z.union([zod_1.z.literal("ebs"), zod_1.z.literal("mixed"), zod_1.z.literal("pvc"), zod_1.z.literal("off")]).optional().default("pvc"),
            "toleration": zod_1.z.record(zod_1.z.string()).optional(),
            "watched_namespace": zod_1.z.string().optional()
        }).optional(),
        "postgres_pod_resources": zod_1.z.object({
            /**
             *
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "default_cpu_limit": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
            /**
             *
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "default_cpu_request": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
            /**
             *
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "default_memory_limit": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
            /**
             *
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "default_memory_request": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
            /**
             *
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "max_cpu_request": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
            /**
             *
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "max_memory_request": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
            /**
             *
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "min_cpu_limit": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
            /**
             *
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "min_memory_limit": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional()
        }).optional(),
        "timeouts": zod_1.z.object({
            /**
             *
             * @default "1s"
             */
            "patroni_api_check_interval": zod_1.z.string().optional().default("1s"),
            /**
             *
             * @default "5s"
             */
            "patroni_api_check_timeout": zod_1.z.string().optional().default("5s"),
            /**
             *
             * @default "10m"
             */
            "pod_label_wait_timeout": zod_1.z.string().optional().default("10m"),
            /**
             *
             * @default "10m"
             */
            "pod_deletion_wait_timeout": zod_1.z.string().optional().default("10m"),
            /**
             *
             * @default "4s"
             */
            "ready_wait_interval": zod_1.z.string().optional().default("4s"),
            /**
             *
             * @default "30s"
             */
            "ready_wait_timeout": zod_1.z.string().optional().default("30s"),
            /**
             *
             * @default "3s"
             */
            "resource_check_interval": zod_1.z.string().optional().default("3s"),
            /**
             *
             * @default "10m"
             */
            "resource_check_timeout": zod_1.z.string().optional().default("10m")
        }).optional(),
        "load_balancer": zod_1.z.object({
            "custom_service_annotations": zod_1.z.record(zod_1.z.string()).optional(),
            /**
             *
             * @default "db.example.com"
             */
            "db_hosted_zone": zod_1.z.string().optional().default("db.example.com"),
            /**
             *
             * @default true
             */
            "enable_master_load_balancer": zod_1.z.boolean().optional().default(true),
            "enable_master_pooler_load_balancer": zod_1.z.boolean().optional(),
            "enable_replica_load_balancer": zod_1.z.boolean().optional(),
            "enable_replica_pooler_load_balancer": zod_1.z.boolean().optional(),
            /**
             *
             * @default "Cluster"
             */
            "external_traffic_policy": zod_1.z.union([zod_1.z.literal("Cluster"), zod_1.z.literal("Local")]).optional().default("Cluster"),
            /**
             *
             * @default "{cluster}.{namespace}.{hostedzone}"
             */
            "master_dns_name_format": zod_1.z.string().optional().default("{cluster}.{namespace}.{hostedzone}"),
            /**
             *
             * @default "{cluster}.{team}.{hostedzone}"
             */
            "master_legacy_dns_name_format": zod_1.z.string().optional().default("{cluster}.{team}.{hostedzone}"),
            /**
             *
             * @default "{cluster}-repl.{namespace}.{hostedzone}"
             */
            "replica_dns_name_format": zod_1.z.string().optional().default("{cluster}-repl.{namespace}.{hostedzone}"),
            /**
             *
             * @default "{cluster}-repl.{team}.{hostedzone}"
             */
            "replica_legacy_dns_name_format": zod_1.z.string().optional().default("{cluster}-repl.{team}.{hostedzone}")
        }).optional(),
        "aws_or_gcp": zod_1.z.object({
            "additional_secret_mount": zod_1.z.string().optional(),
            /**
             *
             * @default "/meta/credentials"
             */
            "additional_secret_mount_path": zod_1.z.string().optional().default("/meta/credentials"),
            /**
             *
             * @default "eu-central-1"
             */
            "aws_region": zod_1.z.string().optional().default("eu-central-1"),
            "enable_ebs_gp3_migration": zod_1.z.boolean().optional(),
            /**
             *
             * @default 1000
             */
            "enable_ebs_gp3_migration_max_size": zod_1.z.number().optional().default(1000),
            "gcp_credentials": zod_1.z.string().optional(),
            "kube_iam_role": zod_1.z.string().optional(),
            "log_s3_bucket": zod_1.z.string().optional(),
            "wal_az_storage_account": zod_1.z.string().optional(),
            "wal_gs_bucket": zod_1.z.string().optional(),
            "wal_s3_bucket": zod_1.z.string().optional()
        }).optional(),
        "logical_backup": zod_1.z.object({
            "logical_backup_azure_storage_account_name": zod_1.z.string().optional(),
            "logical_backup_azure_storage_container": zod_1.z.string().optional(),
            "logical_backup_azure_storage_account_key": zod_1.z.string().optional(),
            /**
             *
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "logical_backup_cpu_limit": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
            /**
             *
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "logical_backup_cpu_request": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
            /**
             *
             * @default "registry.opensource.zalan.do/acid/logical-backup:v1.11.0"
             */
            "logical_backup_docker_image": zod_1.z.string().optional().default("registry.opensource.zalan.do/acid/logical-backup:v1.11.0"),
            "logical_backup_google_application_credentials": zod_1.z.string().optional(),
            /**
             *
             * @default "logical-backup-"
             */
            "logical_backup_job_prefix": zod_1.z.string().optional().default("logical-backup-"),
            /**
             *
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "logical_backup_memory_limit": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
            /**
             *
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "logical_backup_memory_request": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
            /**
             *
             * @default "s3"
             */
            "logical_backup_provider": zod_1.z.union([zod_1.z.literal("az"), zod_1.z.literal("gcs"), zod_1.z.literal("s3")]).optional().default("s3"),
            "logical_backup_s3_access_key_id": zod_1.z.string().optional(),
            "logical_backup_s3_bucket": zod_1.z.string().optional(),
            "logical_backup_s3_endpoint": zod_1.z.string().optional(),
            "logical_backup_s3_region": zod_1.z.string().optional(),
            "logical_backup_s3_secret_access_key": zod_1.z.string().optional(),
            "logical_backup_s3_sse": zod_1.z.string().optional(),
            "logical_backup_s3_retention_time": zod_1.z.string().optional(),
            /**
             *
             * @default "30 00 * * *"
             * @pattern ^(\d+|\*)(\/\d+)?(\s+(\d+|\*)(\/\d+)?){4}$
             */
            "logical_backup_schedule": zod_1.z.string().regex(/^(\d+|\*)(\/\d+)?(\s+(\d+|\*)(\/\d+)?){4}$/).optional().default("30 00 * * *"),
            "logical_backup_cronjob_environment_secret": zod_1.z.string().optional()
        }).optional(),
        "debug": zod_1.z.object({
            /**
             *
             * @default true
             */
            "debug_logging": zod_1.z.boolean().optional().default(true),
            /**
             *
             * @default true
             */
            "enable_database_access": zod_1.z.boolean().optional().default(true)
        }).optional(),
        "teams_api": zod_1.z.object({
            /**
             *
             * @default true
             */
            "enable_admin_role_for_users": zod_1.z.boolean().optional().default(true),
            /**
             *
             * @default true
             */
            "enable_postgres_team_crd": zod_1.z.boolean().optional().default(true),
            "enable_postgres_team_crd_superusers": zod_1.z.boolean().optional(),
            "enable_team_member_deprecation": zod_1.z.boolean().optional(),
            "enable_team_superuser": zod_1.z.boolean().optional(),
            /**
             *
             * @default true
             */
            "enable_teams_api": zod_1.z.boolean().optional().default(true),
            /**
             *
             * @default "https://info.example.com/oauth2/tokeninfo?access_token= uid realm=/employees"
             */
            "pam_configuration": zod_1.z.string().optional().default("https://info.example.com/oauth2/tokeninfo?access_token= uid realm=/employees"),
            /**
             *
             * @default "zalandos"
             */
            "pam_role_name": zod_1.z.string().optional().default("zalandos"),
            "postgres_superuser_teams": zod_1.z.array(zod_1.z.string()).optional(),
            "protected_role_names": zod_1.z.array(zod_1.z.string()).optional(),
            /**
             *
             * @default "_deleted"
             */
            "role_deletion_suffix": zod_1.z.string().optional().default("_deleted"),
            /**
             *
             * @default "admin"
             */
            "team_admin_role": zod_1.z.string().optional().default("admin"),
            "team_api_role_configuration": zod_1.z.record(zod_1.z.string()).optional(),
            /**
             *
             * @default "https://teams.example.com/api/"
             */
            "teams_api_url": zod_1.z.string().optional().default("https://teams.example.com/api/")
        }).optional(),
        "logging_rest_api": zod_1.z.object({
            /**
             *
             * @default 8080
             */
            "api_port": zod_1.z.number().optional().default(8080),
            /**
             *
             * @default 1000
             */
            "cluster_history_entries": zod_1.z.number().optional().default(1000),
            /**
             *
             * @default 100
             */
            "ring_log_lines": zod_1.z.number().optional().default(100)
        }).optional(),
        "scalyr": zod_1.z.object({
            "scalyr_api_key": zod_1.z.string().optional(),
            /**
             *
             * @default "1"
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "scalyr_cpu_limit": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional().default("1"),
            /**
             *
             * @default "100m"
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "scalyr_cpu_request": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional().default("100m"),
            "scalyr_image": zod_1.z.string().optional(),
            /**
             *
             * @default "500Mi"
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "scalyr_memory_limit": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional().default("500Mi"),
            /**
             *
             * @default "50Mi"
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "scalyr_memory_request": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional().default("50Mi"),
            /**
             *
             * @default "https://upload.eu.scalyr.com"
             */
            "scalyr_server_url": zod_1.z.string().optional().default("https://upload.eu.scalyr.com")
        }).optional(),
        "connection_pooler": zod_1.z.object({
            /**
             *
             * @default "pooler"
             */
            "connection_pooler_schema": zod_1.z.string().optional().default("pooler"),
            /**
             *
             * @default "pooler"
             */
            "connection_pooler_user": zod_1.z.string().optional().default("pooler"),
            /**
             *
             * @default "registry.opensource.zalan.do/acid/pgbouncer:master-32"
             */
            "connection_pooler_image": zod_1.z.string().optional().default("registry.opensource.zalan.do/acid/pgbouncer:master-32"),
            /**
             *
             * @default 60
             */
            "connection_pooler_max_db_connections": zod_1.z.number().optional().default(60),
            /**
             *
             * @default "transaction"
             */
            "connection_pooler_mode": zod_1.z.union([zod_1.z.literal("session"), zod_1.z.literal("transaction")]).optional().default("transaction"),
            /**
             *
             * @default 2
             * @minimum 1
             */
            "connection_pooler_number_of_instances": zod_1.z.number().min(1).optional().default(2),
            /**
             *
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "connection_pooler_default_cpu_limit": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
            /**
             *
             * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
             */
            "connection_pooler_default_cpu_request": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
            /**
             *
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "connection_pooler_default_memory_limit": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
            /**
             *
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "connection_pooler_default_memory_request": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional()
        }).optional(),
        "patroni": zod_1.z.object({
            "enable_patroni_failsafe_mode": zod_1.z.boolean().optional()
        }).optional()
    }),
    "status": zod_1.z.record(zod_1.z.string()).optional(),
    "metadata": ObjectMeta_schema_1.iObjectMetaSchema.optional()
});
