import { z } from "zod";
import { iObjectMetaSchema } from "@soft-stech/apimachinery/apis/meta/v1/ObjectMeta.schema";
export const IPostgresTeamSchema = z.object({
    "kind": z.literal("PostgresTeam"),
    "apiVersion": z.literal("acid.zalan.do/v1"),
    "spec": z.object({
        /**
         * Map for teamId and associated additional superuser teams
         */
        "additionalSuperuserTeams": z.record(z.array(z.string())).optional(),
        /**
         * Map for teamId and associated additional teams
         */
        "additionalTeams": z.record(z.array(z.string())).optional(),
        /**
         * Map for teamId and associated additional users
         */
        "additionalMembers": z.record(z.array(z.string())).optional()
    }),
    "metadata": iObjectMetaSchema.optional()
});
