"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IpostgresqlSchema = void 0;
// Generated by ts-to-zod
const zod_1 = require("zod");
const ObjectMeta_schema_1 = require("@soft-stech/apimachinery/apis/meta/v1/ObjectMeta.schema");
exports.IpostgresqlSchema = zod_1.z.object({
    "kind": zod_1.z.literal("postgresql"),
    "apiVersion": zod_1.z.literal("acid.zalan.do/v1"),
    "spec": zod_1.z.object({
        "additionalVolumes": zod_1.z.array(zod_1.z.object({
            "name": zod_1.z.string(),
            "mountPath": zod_1.z.string(),
            "targetContainers": zod_1.z.array(zod_1.z.string()).optional(),
            "volumeSource": zod_1.z.object({}),
            "subPath": zod_1.z.string().optional()
        })).optional(),
        "allowedSourceRanges": zod_1.z.array(zod_1.z.string()).optional(),
        "clone": zod_1.z.object({
            "cluster": zod_1.z.string(),
            "s3_endpoint": zod_1.z.string().optional(),
            "s3_access_key_id": zod_1.z.string().optional(),
            "s3_secret_access_key": zod_1.z.string().optional(),
            "s3_force_path_style": zod_1.z.boolean().optional(),
            "s3_wal_path": zod_1.z.string().optional(),
            /**
             *
             * @pattern ^([0-9]+)-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])[Tt]([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9]|60)(\.[0-9]+)?(([+-]([01][0-9]|2[0-3]):[0-5][0-9]))$
             */
            "timestamp": zod_1.z.string().regex(/^([0-9]+)-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])[Tt]([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9]|60)(\.[0-9]+)?(([+-]([01][0-9]|2[0-3]):[0-5][0-9]))$/).optional(),
            /**
             *
             * @format uuid
             */
            "uid": zod_1.z.string().uuid().optional()
        }).optional(),
        "connectionPooler": zod_1.z.object({
            "dockerImage": zod_1.z.string().optional(),
            "maxDBConnections": zod_1.z.number().optional(),
            "mode": zod_1.z.union([zod_1.z.literal("session"), zod_1.z.literal("transaction")]).optional(),
            /**
             *
             * @minimum 1
             */
            "numberOfInstances": zod_1.z.number().min(1).optional(),
            "resources": zod_1.z.object({
                "limits": zod_1.z.object({
                    /**
                     *
                     * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
                     */
                    "cpu": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
                    /**
                     *
                     * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
                     */
                    "memory": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional()
                }).optional(),
                "requests": zod_1.z.object({
                    /**
                     *
                     * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
                     */
                    "cpu": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
                    /**
                     *
                     * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
                     */
                    "memory": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional()
                }).optional()
            }).optional(),
            "schema": zod_1.z.string().optional(),
            "user": zod_1.z.string().optional()
        }).optional(),
        "databases": zod_1.z.record(zod_1.z.string()).optional(),
        "dockerImage": zod_1.z.string().optional(),
        "enableConnectionPooler": zod_1.z.boolean().optional(),
        "enableReplicaConnectionPooler": zod_1.z.boolean().optional(),
        "enableLogicalBackup": zod_1.z.boolean().optional(),
        "enableMasterLoadBalancer": zod_1.z.boolean().optional(),
        "enableMasterPoolerLoadBalancer": zod_1.z.boolean().optional(),
        "enableReplicaLoadBalancer": zod_1.z.boolean().optional(),
        "enableReplicaPoolerLoadBalancer": zod_1.z.boolean().optional(),
        "enableShmVolume": zod_1.z.boolean().optional(),
        "env": zod_1.z.array(zod_1.z.object({})).optional(),
        /**
         * deprecated
         */
        "init_containers": zod_1.z.array(zod_1.z.object({})).optional(),
        "initContainers": zod_1.z.array(zod_1.z.object({})).optional(),
        /**
         *
         * @pattern ^(\d+|\*)(\/\d+)?(\s+(\d+|\*)(\/\d+)?){4}$
         */
        "logicalBackupSchedule": zod_1.z.string().regex(/^(\d+|\*)(\/\d+)?(\s+(\d+|\*)(\/\d+)?){4}$/).optional(),
        "maintenanceWindows": zod_1.z.array(zod_1.z.string()).optional(),
        "masterServiceAnnotations": zod_1.z.record(zod_1.z.string()).optional(),
        "nodeAffinity": zod_1.z.object({
            "preferredDuringSchedulingIgnoredDuringExecution": zod_1.z.array(zod_1.z.object({
                "preference": zod_1.z.object({
                    "matchExpressions": zod_1.z.array(zod_1.z.object({
                        "key": zod_1.z.string(),
                        "operator": zod_1.z.string(),
                        "values": zod_1.z.array(zod_1.z.string()).optional()
                    })).optional(),
                    "matchFields": zod_1.z.array(zod_1.z.object({
                        "key": zod_1.z.string(),
                        "operator": zod_1.z.string(),
                        "values": zod_1.z.array(zod_1.z.string()).optional()
                    })).optional()
                }),
                /**
                 *
                 * @format int32
                 */
                "weight": zod_1.z.number()
            })).optional(),
            "requiredDuringSchedulingIgnoredDuringExecution": zod_1.z.object({
                "nodeSelectorTerms": zod_1.z.array(zod_1.z.object({
                    "matchExpressions": zod_1.z.array(zod_1.z.object({
                        "key": zod_1.z.string(),
                        "operator": zod_1.z.string(),
                        "values": zod_1.z.array(zod_1.z.string()).optional()
                    })).optional(),
                    "matchFields": zod_1.z.array(zod_1.z.object({
                        "key": zod_1.z.string(),
                        "operator": zod_1.z.string(),
                        "values": zod_1.z.array(zod_1.z.string()).optional()
                    })).optional()
                }))
            }).optional()
        }).optional(),
        "numberOfInstances": zod_1.z.number(),
        "patroni": zod_1.z.object({
            "failsafe_mode": zod_1.z.boolean().optional(),
            "initdb": zod_1.z.record(zod_1.z.string()).optional(),
            "loop_wait": zod_1.z.number().optional(),
            "maximum_lag_on_failover": zod_1.z.number().optional(),
            "pg_hba": zod_1.z.array(zod_1.z.string()).optional(),
            "retry_timeout": zod_1.z.number().optional(),
            "slots": zod_1.z.record(zod_1.z.record(zod_1.z.string())).optional(),
            "synchronous_mode": zod_1.z.boolean().optional(),
            "synchronous_mode_strict": zod_1.z.boolean().optional(),
            "synchronous_node_count": zod_1.z.number().optional(),
            "ttl": zod_1.z.number().optional()
        }).optional(),
        "podAnnotations": zod_1.z.record(zod_1.z.string()).optional(),
        /**
         * deprecated
         */
        "pod_priority_class_name": zod_1.z.string().optional(),
        "podPriorityClassName": zod_1.z.string().optional(),
        "postgresql": zod_1.z.object({
            "version": zod_1.z.union([zod_1.z.literal("11"), zod_1.z.literal("12"), zod_1.z.literal("13"), zod_1.z.literal("14"), zod_1.z.literal("15"), zod_1.z.literal("16")]),
            "parameters": zod_1.z.record(zod_1.z.string()).optional()
        }),
        "preparedDatabases": zod_1.z.record(zod_1.z.object({
            "defaultUsers": zod_1.z.boolean().optional(),
            "extensions": zod_1.z.record(zod_1.z.string()).optional(),
            "schemas": zod_1.z.record(zod_1.z.object({
                "defaultUsers": zod_1.z.boolean().optional(),
                "defaultRoles": zod_1.z.boolean().optional()
            })).optional(),
            "secretNamespace": zod_1.z.string().optional()
        })).optional(),
        /**
         * deprecated
         */
        "replicaLoadBalancer": zod_1.z.boolean().optional(),
        "replicaServiceAnnotations": zod_1.z.record(zod_1.z.string()).optional(),
        "resources": zod_1.z.object({
            "limits": zod_1.z.object({
                /**
                 *
                 * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
                 */
                "cpu": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
                /**
                 *
                 * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
                 */
                "memory": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
                /**
                 *
                 * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
                 */
                "hugepages-2Mi": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
                /**
                 *
                 * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
                 */
                "hugepages-1Gi": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional()
            }).optional(),
            "requests": zod_1.z.object({
                /**
                 *
                 * @pattern ^(\d+m|\d+(\.\d{1,3})?)$
                 */
                "cpu": zod_1.z.string().regex(/^(\d+m|\d+(\.\d{1,3})?)$/).optional(),
                /**
                 *
                 * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
                 */
                "memory": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
                /**
                 *
                 * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
                 */
                "hugepages-2Mi": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional(),
                /**
                 *
                 * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
                 */
                "hugepages-1Gi": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/).optional()
            }).optional()
        }).optional(),
        "schedulerName": zod_1.z.string().optional(),
        "serviceAnnotations": zod_1.z.record(zod_1.z.string()).optional(),
        "sidecars": zod_1.z.array(zod_1.z.object({})).optional(),
        "spiloRunAsUser": zod_1.z.number().optional(),
        "spiloRunAsGroup": zod_1.z.number().optional(),
        "spiloFSGroup": zod_1.z.number().optional(),
        "standby": zod_1.z.object({
            "s3_wal_path": zod_1.z.string().optional(),
            "gs_wal_path": zod_1.z.string().optional(),
            "standby_host": zod_1.z.string().optional(),
            "standby_port": zod_1.z.string().optional()
        }).and(zod_1.z.union([zod_1.z.object({
                "s3_wal_path": zod_1.z.string(),
                "gs_wal_path": zod_1.z.string().optional(),
                "standby_host": zod_1.z.string().optional(),
                "standby_port": zod_1.z.string().optional()
            }), zod_1.z.object({
                "s3_wal_path": zod_1.z.string().optional(),
                "gs_wal_path": zod_1.z.string(),
                "standby_host": zod_1.z.string().optional(),
                "standby_port": zod_1.z.string().optional()
            }), zod_1.z.object({
                "s3_wal_path": zod_1.z.string().optional(),
                "gs_wal_path": zod_1.z.string().optional(),
                "standby_host": zod_1.z.string(),
                "standby_port": zod_1.z.string().optional()
            })])).optional(),
        "streams": zod_1.z.array(zod_1.z.object({
            "applicationId": zod_1.z.string(),
            "batchSize": zod_1.z.number().optional(),
            "database": zod_1.z.string(),
            "enableRecovery": zod_1.z.boolean().optional(),
            "filter": zod_1.z.record(zod_1.z.string()).optional(),
            "tables": zod_1.z.record(zod_1.z.object({
                "eventType": zod_1.z.string(),
                "idColumn": zod_1.z.string().optional(),
                "payloadColumn": zod_1.z.string().optional(),
                "recoveryEventType": zod_1.z.string().optional()
            }))
        })).optional(),
        "teamId": zod_1.z.string(),
        "tls": zod_1.z.object({
            "secretName": zod_1.z.string(),
            "certificateFile": zod_1.z.string().optional(),
            "privateKeyFile": zod_1.z.string().optional(),
            "caFile": zod_1.z.string().optional(),
            "caSecretName": zod_1.z.string().optional()
        }).optional(),
        "tolerations": zod_1.z.array(zod_1.z.object({
            "key": zod_1.z.string().optional(),
            "operator": zod_1.z.union([zod_1.z.literal("Equal"), zod_1.z.literal("Exists")]).optional(),
            "value": zod_1.z.string().optional(),
            "effect": zod_1.z.union([zod_1.z.literal("NoExecute"), zod_1.z.literal("NoSchedule"), zod_1.z.literal("PreferNoSchedule")]).optional(),
            "tolerationSeconds": zod_1.z.number().optional()
        })).optional(),
        /**
         * deprecated
         */
        "useLoadBalancer": zod_1.z.boolean().optional(),
        "users": zod_1.z.record(zod_1.z.array(zod_1.z.union([zod_1.z.literal("bypassrls"), zod_1.z.literal("BYPASSRLS"), zod_1.z.literal("nobypassrls"), zod_1.z.literal("NOBYPASSRLS"), zod_1.z.literal("createdb"), zod_1.z.literal("CREATEDB"), zod_1.z.literal("nocreatedb"), zod_1.z.literal("NOCREATEDB"), zod_1.z.literal("createrole"), zod_1.z.literal("CREATEROLE"), zod_1.z.literal("nocreaterole"), zod_1.z.literal("NOCREATEROLE"), zod_1.z.literal("inherit"), zod_1.z.literal("INHERIT"), zod_1.z.literal("noinherit"), zod_1.z.literal("NOINHERIT"), zod_1.z.literal("login"), zod_1.z.literal("LOGIN"), zod_1.z.literal("nologin"), zod_1.z.literal("NOLOGIN"), zod_1.z.literal("replication"), zod_1.z.literal("REPLICATION"), zod_1.z.literal("noreplication"), zod_1.z.literal("NOREPLICATION"), zod_1.z.literal("superuser"), zod_1.z.literal("SUPERUSER"), zod_1.z.literal("nosuperuser"), zod_1.z.literal("NOSUPERUSER")]))).optional(),
        "usersIgnoringSecretRotation": zod_1.z.array(zod_1.z.string()).optional(),
        "usersWithInPlaceSecretRotation": zod_1.z.array(zod_1.z.string()).optional(),
        "usersWithSecretRotation": zod_1.z.array(zod_1.z.string()).optional(),
        "volume": zod_1.z.object({
            "iops": zod_1.z.number().optional(),
            "selector": zod_1.z.object({
                "matchExpressions": zod_1.z.array(zod_1.z.object({
                    "key": zod_1.z.string(),
                    "operator": zod_1.z.union([zod_1.z.literal("DoesNotExist"), zod_1.z.literal("Exists"), zod_1.z.literal("In"), zod_1.z.literal("NotIn")]),
                    "values": zod_1.z.array(zod_1.z.string()).optional()
                })).optional(),
                "matchLabels": zod_1.z.object({}).optional()
            }).optional(),
            /**
             *
             * @pattern ^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$
             */
            "size": zod_1.z.string().regex(/^(\d+(e\d+)?|\d+(\.\d+)?(e\d+)?[EPTGMK]i?)$/),
            "storageClass": zod_1.z.string().optional(),
            "subPath": zod_1.z.string().optional(),
            "throughput": zod_1.z.number().optional()
        })
    }),
    "status": zod_1.z.record(zod_1.z.string()).optional(),
    "metadata": ObjectMeta_schema_1.iObjectMetaSchema.optional()
});
