"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IPGUpgradeSchema = void 0;
// Generated by ts-to-zod
const zod_1 = require("zod");
const ObjectMeta_schema_1 = require("@soft-stech/apimachinery/apis/meta/v1/ObjectMeta.schema");
/**
 * PGUpgrade is the Schema for the pgupgrades API
 */
exports.IPGUpgradeSchema = zod_1.z.object({
    /**
     * APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
     */
    "apiVersion": zod_1.z.literal("postgres-operator.crunchydata.com/v1beta1"),
    /**
     * Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
     */
    "kind": zod_1.z.literal("PGUpgrade"),
    "metadata": ObjectMeta_schema_1.iObjectMetaSchema.optional(),
    /**
     * PGUpgradeSpec defines the desired state of PGUpgrade
     */
    "spec": zod_1.z.object({
        /**
         * Scheduling constraints of the PGUpgrade pod. More info: https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node
         */
        "affinity": zod_1.z.object({
            /**
             * Describes node affinity scheduling rules for the pod.
             */
            "nodeAffinity": zod_1.z.object({
                /**
                 * The scheduler will prefer to schedule pods to nodes that satisfy the affinity expressions specified by this field, but it may choose a node that violates one or more of the expressions. The node that is most preferred is the one with the greatest sum of weights, i.e. for each node that meets all of the scheduling requirements (resource request, requiredDuringScheduling affinity expressions, etc.), compute a sum by iterating through the elements of this field and adding "weight" to the sum if the node matches the corresponding matchExpressions; the node(s) with the highest sum are the most preferred.
                 */
                "preferredDuringSchedulingIgnoredDuringExecution": zod_1.z.array(zod_1.z.object({
                    /**
                     * A node selector term, associated with the corresponding weight.
                     */
                    "preference": zod_1.z.object({
                        /**
                         * A list of node selector requirements by node's labels.
                         */
                        "matchExpressions": zod_1.z.array(zod_1.z.object({
                            /**
                             * The label key that the selector applies to.
                             */
                            "key": zod_1.z.string(),
                            /**
                             * Represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists, DoesNotExist. Gt, and Lt.
                             */
                            "operator": zod_1.z.string(),
                            /**
                             * An array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. If the operator is Gt or Lt, the values array must have a single element, which will be interpreted as an integer. This array is replaced during a strategic merge patch.
                             */
                            "values": zod_1.z.array(zod_1.z.string()).optional()
                        })).optional(),
                        /**
                         * A list of node selector requirements by node's fields.
                         */
                        "matchFields": zod_1.z.array(zod_1.z.object({
                            /**
                             * The label key that the selector applies to.
                             */
                            "key": zod_1.z.string(),
                            /**
                             * Represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists, DoesNotExist. Gt, and Lt.
                             */
                            "operator": zod_1.z.string(),
                            /**
                             * An array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. If the operator is Gt or Lt, the values array must have a single element, which will be interpreted as an integer. This array is replaced during a strategic merge patch.
                             */
                            "values": zod_1.z.array(zod_1.z.string()).optional()
                        })).optional()
                    }),
                    /**
                     * Weight associated with matching the corresponding nodeSelectorTerm, in the range 1-100.
                     * @format int32
                     */
                    "weight": zod_1.z.number()
                })).optional(),
                /**
                 * If the affinity requirements specified by this field are not met at scheduling time, the pod will not be scheduled onto the node. If the affinity requirements specified by this field cease to be met at some point during pod execution (e.g. due to an update), the system may or may not try to eventually evict the pod from its node.
                 */
                "requiredDuringSchedulingIgnoredDuringExecution": zod_1.z.object({
                    /**
                     * Required. A list of node selector terms. The terms are ORed.
                     */
                    "nodeSelectorTerms": zod_1.z.array(zod_1.z.object({
                        /**
                         * A list of node selector requirements by node's labels.
                         */
                        "matchExpressions": zod_1.z.array(zod_1.z.object({
                            /**
                             * The label key that the selector applies to.
                             */
                            "key": zod_1.z.string(),
                            /**
                             * Represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists, DoesNotExist. Gt, and Lt.
                             */
                            "operator": zod_1.z.string(),
                            /**
                             * An array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. If the operator is Gt or Lt, the values array must have a single element, which will be interpreted as an integer. This array is replaced during a strategic merge patch.
                             */
                            "values": zod_1.z.array(zod_1.z.string()).optional()
                        })).optional(),
                        /**
                         * A list of node selector requirements by node's fields.
                         */
                        "matchFields": zod_1.z.array(zod_1.z.object({
                            /**
                             * The label key that the selector applies to.
                             */
                            "key": zod_1.z.string(),
                            /**
                             * Represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists, DoesNotExist. Gt, and Lt.
                             */
                            "operator": zod_1.z.string(),
                            /**
                             * An array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. If the operator is Gt or Lt, the values array must have a single element, which will be interpreted as an integer. This array is replaced during a strategic merge patch.
                             */
                            "values": zod_1.z.array(zod_1.z.string()).optional()
                        })).optional()
                    }))
                }).optional()
            }).optional(),
            /**
             * Describes pod affinity scheduling rules (e.g. co-locate this pod in the same node, zone, etc. as some other pod(s)).
             */
            "podAffinity": zod_1.z.object({
                /**
                 * The scheduler will prefer to schedule pods to nodes that satisfy the affinity expressions specified by this field, but it may choose a node that violates one or more of the expressions. The node that is most preferred is the one with the greatest sum of weights, i.e. for each node that meets all of the scheduling requirements (resource request, requiredDuringScheduling affinity expressions, etc.), compute a sum by iterating through the elements of this field and adding "weight" to the sum if the node has pods which matches the corresponding podAffinityTerm; the node(s) with the highest sum are the most preferred.
                 */
                "preferredDuringSchedulingIgnoredDuringExecution": zod_1.z.array(zod_1.z.object({
                    /**
                     * Required. A pod affinity term, associated with the corresponding weight.
                     */
                    "podAffinityTerm": zod_1.z.object({
                        /**
                         * A label query over a set of resources, in this case pods.
                         */
                        "labelSelector": zod_1.z.object({
                            /**
                             * matchExpressions is a list of label selector requirements. The requirements are ANDed.
                             */
                            "matchExpressions": zod_1.z.array(zod_1.z.object({
                                /**
                                 * key is the label key that the selector applies to.
                                 */
                                "key": zod_1.z.string(),
                                /**
                                 * operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.
                                 */
                                "operator": zod_1.z.string(),
                                /**
                                 * values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
                                 */
                                "values": zod_1.z.array(zod_1.z.string()).optional()
                            })).optional(),
                            /**
                             * matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
                             */
                            "matchLabels": zod_1.z.record(zod_1.z.string()).optional()
                        }).optional(),
                        /**
                         * A label query over the set of namespaces that the term applies to. The term is applied to the union of the namespaces selected by this field and the ones listed in the namespaces field. null selector and null or empty namespaces list means "this pod's namespace". An empty selector ({}) matches all namespaces.
                         */
                        "namespaceSelector": zod_1.z.object({
                            /**
                             * matchExpressions is a list of label selector requirements. The requirements are ANDed.
                             */
                            "matchExpressions": zod_1.z.array(zod_1.z.object({
                                /**
                                 * key is the label key that the selector applies to.
                                 */
                                "key": zod_1.z.string(),
                                /**
                                 * operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.
                                 */
                                "operator": zod_1.z.string(),
                                /**
                                 * values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
                                 */
                                "values": zod_1.z.array(zod_1.z.string()).optional()
                            })).optional(),
                            /**
                             * matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
                             */
                            "matchLabels": zod_1.z.record(zod_1.z.string()).optional()
                        }).optional(),
                        /**
                         * namespaces specifies a static list of namespace names that the term applies to. The term is applied to the union of the namespaces listed in this field and the ones selected by namespaceSelector. null or empty namespaces list and null namespaceSelector means "this pod's namespace".
                         */
                        "namespaces": zod_1.z.array(zod_1.z.string()).optional(),
                        /**
                         * This pod should be co-located (affinity) or not co-located (anti-affinity) with the pods matching the labelSelector in the specified namespaces, where co-located is defined as running on a node whose value of the label with key topologyKey matches that of any node on which any of the selected pods is running. Empty topologyKey is not allowed.
                         */
                        "topologyKey": zod_1.z.string()
                    }),
                    /**
                     * weight associated with matching the corresponding podAffinityTerm, in the range 1-100.
                     * @format int32
                     */
                    "weight": zod_1.z.number()
                })).optional(),
                /**
                 * If the affinity requirements specified by this field are not met at scheduling time, the pod will not be scheduled onto the node. If the affinity requirements specified by this field cease to be met at some point during pod execution (e.g. due to a pod label update), the system may or may not try to eventually evict the pod from its node. When there are multiple elements, the lists of nodes corresponding to each podAffinityTerm are intersected, i.e. all terms must be satisfied.
                 */
                "requiredDuringSchedulingIgnoredDuringExecution": zod_1.z.array(zod_1.z.object({
                    /**
                     * A label query over a set of resources, in this case pods.
                     */
                    "labelSelector": zod_1.z.object({
                        /**
                         * matchExpressions is a list of label selector requirements. The requirements are ANDed.
                         */
                        "matchExpressions": zod_1.z.array(zod_1.z.object({
                            /**
                             * key is the label key that the selector applies to.
                             */
                            "key": zod_1.z.string(),
                            /**
                             * operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.
                             */
                            "operator": zod_1.z.string(),
                            /**
                             * values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
                             */
                            "values": zod_1.z.array(zod_1.z.string()).optional()
                        })).optional(),
                        /**
                         * matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
                         */
                        "matchLabels": zod_1.z.record(zod_1.z.string()).optional()
                    }).optional(),
                    /**
                     * A label query over the set of namespaces that the term applies to. The term is applied to the union of the namespaces selected by this field and the ones listed in the namespaces field. null selector and null or empty namespaces list means "this pod's namespace". An empty selector ({}) matches all namespaces.
                     */
                    "namespaceSelector": zod_1.z.object({
                        /**
                         * matchExpressions is a list of label selector requirements. The requirements are ANDed.
                         */
                        "matchExpressions": zod_1.z.array(zod_1.z.object({
                            /**
                             * key is the label key that the selector applies to.
                             */
                            "key": zod_1.z.string(),
                            /**
                             * operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.
                             */
                            "operator": zod_1.z.string(),
                            /**
                             * values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
                             */
                            "values": zod_1.z.array(zod_1.z.string()).optional()
                        })).optional(),
                        /**
                         * matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
                         */
                        "matchLabels": zod_1.z.record(zod_1.z.string()).optional()
                    }).optional(),
                    /**
                     * namespaces specifies a static list of namespace names that the term applies to. The term is applied to the union of the namespaces listed in this field and the ones selected by namespaceSelector. null or empty namespaces list and null namespaceSelector means "this pod's namespace".
                     */
                    "namespaces": zod_1.z.array(zod_1.z.string()).optional(),
                    /**
                     * This pod should be co-located (affinity) or not co-located (anti-affinity) with the pods matching the labelSelector in the specified namespaces, where co-located is defined as running on a node whose value of the label with key topologyKey matches that of any node on which any of the selected pods is running. Empty topologyKey is not allowed.
                     */
                    "topologyKey": zod_1.z.string()
                })).optional()
            }).optional(),
            /**
             * Describes pod anti-affinity scheduling rules (e.g. avoid putting this pod in the same node, zone, etc. as some other pod(s)).
             */
            "podAntiAffinity": zod_1.z.object({
                /**
                 * The scheduler will prefer to schedule pods to nodes that satisfy the anti-affinity expressions specified by this field, but it may choose a node that violates one or more of the expressions. The node that is most preferred is the one with the greatest sum of weights, i.e. for each node that meets all of the scheduling requirements (resource request, requiredDuringScheduling anti-affinity expressions, etc.), compute a sum by iterating through the elements of this field and adding "weight" to the sum if the node has pods which matches the corresponding podAffinityTerm; the node(s) with the highest sum are the most preferred.
                 */
                "preferredDuringSchedulingIgnoredDuringExecution": zod_1.z.array(zod_1.z.object({
                    /**
                     * Required. A pod affinity term, associated with the corresponding weight.
                     */
                    "podAffinityTerm": zod_1.z.object({
                        /**
                         * A label query over a set of resources, in this case pods.
                         */
                        "labelSelector": zod_1.z.object({
                            /**
                             * matchExpressions is a list of label selector requirements. The requirements are ANDed.
                             */
                            "matchExpressions": zod_1.z.array(zod_1.z.object({
                                /**
                                 * key is the label key that the selector applies to.
                                 */
                                "key": zod_1.z.string(),
                                /**
                                 * operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.
                                 */
                                "operator": zod_1.z.string(),
                                /**
                                 * values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
                                 */
                                "values": zod_1.z.array(zod_1.z.string()).optional()
                            })).optional(),
                            /**
                             * matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
                             */
                            "matchLabels": zod_1.z.record(zod_1.z.string()).optional()
                        }).optional(),
                        /**
                         * A label query over the set of namespaces that the term applies to. The term is applied to the union of the namespaces selected by this field and the ones listed in the namespaces field. null selector and null or empty namespaces list means "this pod's namespace". An empty selector ({}) matches all namespaces.
                         */
                        "namespaceSelector": zod_1.z.object({
                            /**
                             * matchExpressions is a list of label selector requirements. The requirements are ANDed.
                             */
                            "matchExpressions": zod_1.z.array(zod_1.z.object({
                                /**
                                 * key is the label key that the selector applies to.
                                 */
                                "key": zod_1.z.string(),
                                /**
                                 * operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.
                                 */
                                "operator": zod_1.z.string(),
                                /**
                                 * values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
                                 */
                                "values": zod_1.z.array(zod_1.z.string()).optional()
                            })).optional(),
                            /**
                             * matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
                             */
                            "matchLabels": zod_1.z.record(zod_1.z.string()).optional()
                        }).optional(),
                        /**
                         * namespaces specifies a static list of namespace names that the term applies to. The term is applied to the union of the namespaces listed in this field and the ones selected by namespaceSelector. null or empty namespaces list and null namespaceSelector means "this pod's namespace".
                         */
                        "namespaces": zod_1.z.array(zod_1.z.string()).optional(),
                        /**
                         * This pod should be co-located (affinity) or not co-located (anti-affinity) with the pods matching the labelSelector in the specified namespaces, where co-located is defined as running on a node whose value of the label with key topologyKey matches that of any node on which any of the selected pods is running. Empty topologyKey is not allowed.
                         */
                        "topologyKey": zod_1.z.string()
                    }),
                    /**
                     * weight associated with matching the corresponding podAffinityTerm, in the range 1-100.
                     * @format int32
                     */
                    "weight": zod_1.z.number()
                })).optional(),
                /**
                 * If the anti-affinity requirements specified by this field are not met at scheduling time, the pod will not be scheduled onto the node. If the anti-affinity requirements specified by this field cease to be met at some point during pod execution (e.g. due to a pod label update), the system may or may not try to eventually evict the pod from its node. When there are multiple elements, the lists of nodes corresponding to each podAffinityTerm are intersected, i.e. all terms must be satisfied.
                 */
                "requiredDuringSchedulingIgnoredDuringExecution": zod_1.z.array(zod_1.z.object({
                    /**
                     * A label query over a set of resources, in this case pods.
                     */
                    "labelSelector": zod_1.z.object({
                        /**
                         * matchExpressions is a list of label selector requirements. The requirements are ANDed.
                         */
                        "matchExpressions": zod_1.z.array(zod_1.z.object({
                            /**
                             * key is the label key that the selector applies to.
                             */
                            "key": zod_1.z.string(),
                            /**
                             * operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.
                             */
                            "operator": zod_1.z.string(),
                            /**
                             * values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
                             */
                            "values": zod_1.z.array(zod_1.z.string()).optional()
                        })).optional(),
                        /**
                         * matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
                         */
                        "matchLabels": zod_1.z.record(zod_1.z.string()).optional()
                    }).optional(),
                    /**
                     * A label query over the set of namespaces that the term applies to. The term is applied to the union of the namespaces selected by this field and the ones listed in the namespaces field. null selector and null or empty namespaces list means "this pod's namespace". An empty selector ({}) matches all namespaces.
                     */
                    "namespaceSelector": zod_1.z.object({
                        /**
                         * matchExpressions is a list of label selector requirements. The requirements are ANDed.
                         */
                        "matchExpressions": zod_1.z.array(zod_1.z.object({
                            /**
                             * key is the label key that the selector applies to.
                             */
                            "key": zod_1.z.string(),
                            /**
                             * operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.
                             */
                            "operator": zod_1.z.string(),
                            /**
                             * values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
                             */
                            "values": zod_1.z.array(zod_1.z.string()).optional()
                        })).optional(),
                        /**
                         * matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
                         */
                        "matchLabels": zod_1.z.record(zod_1.z.string()).optional()
                    }).optional(),
                    /**
                     * namespaces specifies a static list of namespace names that the term applies to. The term is applied to the union of the namespaces listed in this field and the ones selected by namespaceSelector. null or empty namespaces list and null namespaceSelector means "this pod's namespace".
                     */
                    "namespaces": zod_1.z.array(zod_1.z.string()).optional(),
                    /**
                     * This pod should be co-located (affinity) or not co-located (anti-affinity) with the pods matching the labelSelector in the specified namespaces, where co-located is defined as running on a node whose value of the label with key topologyKey matches that of any node on which any of the selected pods is running. Empty topologyKey is not allowed.
                     */
                    "topologyKey": zod_1.z.string()
                })).optional()
            }).optional()
        }).optional(),
        /**
         * The major version of PostgreSQL before the upgrade.
         * @minimum 10
         * @maximum 16
         */
        "fromPostgresVersion": zod_1.z.number().min(10).max(16),
        /**
         * The image name to use for major PostgreSQL upgrades.
         */
        "image": zod_1.z.string().optional(),
        /**
         * ImagePullPolicy is used to determine when Kubernetes will attempt to pull (download) container images. More info: https://kubernetes.io/docs/concepts/containers/images/#image-pull-policy
         */
        "imagePullPolicy": zod_1.z.union([zod_1.z.literal("Always"), zod_1.z.literal("Never"), zod_1.z.literal("IfNotPresent")]).optional(),
        /**
         * The image pull secrets used to pull from a private registry. Changing this value causes all running PGUpgrade pods to restart. https://k8s.io/docs/tasks/configure-pod-container/pull-image-private-registry/
         */
        "imagePullSecrets": zod_1.z.array(zod_1.z.object({
            /**
             * Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
             */
            "name": zod_1.z.string().optional()
        })).optional(),
        /**
         * Metadata contains metadata for custom resources
         */
        "metadata": zod_1.z.object({
            "annotations": zod_1.z.record(zod_1.z.string()).optional(),
            "labels": zod_1.z.record(zod_1.z.string()).optional()
        }).optional(),
        /**
         * The name of the cluster to be updated
         * @minLength 1
         */
        "postgresClusterName": zod_1.z.string().min(1),
        /**
         * Priority class name for the PGUpgrade pod. Changing this value causes PGUpgrade pod to restart. More info: https://kubernetes.io/docs/concepts/scheduling-eviction/pod-priority-preemption/
         */
        "priorityClassName": zod_1.z.string().optional(),
        /**
         * Resource requirements for the PGUpgrade container.
         */
        "resources": zod_1.z.object({
            /**
             * Limits describes the maximum amount of compute resources allowed. More info: https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/
             */
            "limits": zod_1.z.record(zod_1.z.union([zod_1.z.number(), zod_1.z.string()])).optional(),
            /**
             * Requests describes the minimum amount of compute resources required. If Requests is omitted for a container, it defaults to Limits if that is explicitly specified, otherwise to an implementation-defined value. More info: https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/
             */
            "requests": zod_1.z.record(zod_1.z.union([zod_1.z.number(), zod_1.z.string()])).optional()
        }).optional(),
        /**
         * The image name to use for PostgreSQL containers after upgrade. When omitted, the value comes from an operator environment variable.
         */
        "toPostgresImage": zod_1.z.string().optional(),
        /**
         * The major version of PostgreSQL to be upgraded to.
         * @minimum 10
         * @maximum 16
         */
        "toPostgresVersion": zod_1.z.number().min(10).max(16),
        /**
         * Tolerations of the PGUpgrade pod. More info: https://kubernetes.io/docs/concepts/scheduling-eviction/taint-and-toleration
         */
        "tolerations": zod_1.z.array(zod_1.z.object({
            /**
             * Effect indicates the taint effect to match. Empty means match all taint effects. When specified, allowed values are NoSchedule, PreferNoSchedule and NoExecute.
             */
            "effect": zod_1.z.string().optional(),
            /**
             * Key is the taint key that the toleration applies to. Empty means match all taint keys. If the key is empty, operator must be Exists; this combination means to match all values and all keys.
             */
            "key": zod_1.z.string().optional(),
            /**
             * Operator represents a key's relationship to the value. Valid operators are Exists and Equal. Defaults to Equal. Exists is equivalent to wildcard for value, so that a pod can tolerate all taints of a particular category.
             */
            "operator": zod_1.z.string().optional(),
            /**
             * TolerationSeconds represents the period of time the toleration (which must be of effect NoExecute, otherwise this field is ignored) tolerates the taint. By default, it is not set, which means tolerate the taint forever (do not evict). Zero and negative values will be treated as 0 (evict immediately) by the system.
             * @format int64
             */
            "tolerationSeconds": zod_1.z.number().optional(),
            /**
             * Value is the taint value the toleration matches to. If the operator is Exists, the value should be empty, otherwise just a regular string.
             */
            "value": zod_1.z.string().optional()
        })).optional()
    }).optional(),
    /**
     * PGUpgradeStatus defines the observed state of PGUpgrade
     */
    "status": zod_1.z.object({
        /**
         * conditions represent the observations of PGUpgrade's current state.
         */
        "conditions": zod_1.z.array(zod_1.z.object({
            /**
             * lastTransitionTime is the last time the condition transitioned from one status to another. This should be when the underlying condition changed.  If that is not known, then using the time when the API field changed is acceptable.
             * @format date-time
             */
            "lastTransitionTime": zod_1.z.string().datetime().nullable(),
            /**
             * message is a human readable message indicating details about the transition. This may be an empty string.
             * @maxLength 32768
             */
            "message": zod_1.z.string().max(32768),
            /**
             * observedGeneration represents the .metadata.generation that the condition was set based upon. For instance, if .metadata.generation is currently 12, but the .status.conditions[x].observedGeneration is 9, the condition is out of date with respect to the current state of the instance.
             * @format int64
             */
            "observedGeneration": zod_1.z.number().optional(),
            /**
             * reason contains a programmatic identifier indicating the reason for the condition's last transition. Producers of specific condition types may define expected values and meanings for this field, and whether the values are considered a guaranteed API. The value should be a CamelCase string. This field may not be empty.
             * @minLength 1
             * @maxLength 1024
             * @pattern ^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$
             */
            "reason": zod_1.z.string().min(1).max(1024).regex(/^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$/),
            /**
             * status of the condition, one of True, False, Unknown.
             */
            "status": zod_1.z.union([zod_1.z.literal("True"), zod_1.z.literal("False"), zod_1.z.literal("Unknown")]),
            /**
             * type of condition in CamelCase or in foo.example.com/CamelCase. --- Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important. The regex it matches is (dns1123SubdomainFmt/)?(qualifiedNameFmt)
             * @maxLength 316
             */
            "type": zod_1.z.string().max(316)
        })).optional(),
        /**
         * observedGeneration represents the .metadata.generation on which the status was based.
         * @format int64
         */
        "observedGeneration": zod_1.z.number().optional()
    }).optional()
});
